/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.bonus.dto;

import jp.mosp.common.common.BaseDto;

public class PsDetailDto extends BaseDto {
	
	private static final long	serialVersionUID	= -7316628058315801407L;
	
	private String				employmentType		= "";						// 雇用区分
	private String				positionCode		= "";						// 職位コード
	private String				detailCode			= "";						// 明細コード
	private String				detailName			= "";						// 明細名
	private String				detailDisplay		= "";						// 明細表示方法
	private String				taxObjectType		= "";						// 課税対象区分
	private int					taxFreeUpperLimit	= 0;						// 非課税上限額
	private String				socInsObjectType	= "";						// 社会保険対象区分
	private String				hasExpression		= "";						// 計算式有無
																				
	
	/**
	 * コンストラクタ
	 */
	public PsDetailDto() {
		super();
	}
	
	// アクセサメソッド
	public String getEmploymentType() {
		return employmentType;
	}
	
	public String getPositionCode() {
		return positionCode;
	}
	
	public String getDetailCode() {
		return detailCode;
	}
	
	public String getDetailName() {
		return detailName;
	}
	
	public String getDetailDisplay() {
		return detailDisplay;
	}
	
	public String getTaxObjectType() {
		return taxObjectType;
	}
	
	public int getTaxFreeUpperLimit() {
		return taxFreeUpperLimit;
	}
	
	public String getSocInsObjectType() {
		return socInsObjectType;
	}
	
	public String getHasExpression() {
		return hasExpression;
	}
	
	public void setEmploymentType(String employmentType) {
		this.employmentType = employmentType;
	}
	
	public void setPositonCode(String positionCode) {
		this.positionCode = positionCode;
	}
	
	public void setDetailCode(String detailCode) {
		this.detailCode = detailCode;
	}
	
	public void setDetailName(String detailName) {
		this.detailName = detailName;
	}
	
	public void setDetailDisplay(String detailDisplay) {
		this.detailDisplay = detailDisplay;
	}
	
	public void setTaxObjectType(String taxObjectType) {
		this.taxObjectType = taxObjectType;
	}
	
	public void setTaxFreeUpperLimit(int taxFreeUpperLimit) {
		this.taxFreeUpperLimit = taxFreeUpperLimit;
	}
	
	public void setSocInsObjectType(String socInsObjectType) {
		this.socInsObjectType = socInsObjectType;
	}
	
	public void setHasExpression(String hasExpression) {
		this.hasExpression = hasExpression;
	}
	
}
